GET/projects/api/v3/reporting/dashboards/data/tasks.json
Get task chart data.
This returns data for a task chart, using the provided filters, group by, split by and data points.
Query Params
- Name
startDate- Type
- string
- Description
start date
- Name
searchTerm- Type
- string
- Description
filter by project name
- Name
orderMode- Type
- string
- Description
order mode
- Default
asc- Allowed values
ascdesc
- Name
orderBy- Type
- string
- Description
order by
- Default
taskname- Allowed values
startdateduedatedateaddedtasknamepriority
- Name
endDate- Type
- string
- Description
end date
- Name
splitBy- Type
- object
- Description
split by entity
- Default
none- Allowed values
task.tasklisttask.projecttask.companytask.prioritytask.assignee_usertask.assignee_teamtask.assignee_companytask.workflow_stagestask.statustask.start_datetask.due_datetask.created_datetask.completed_date
- Name
metric- Type
- object
- Description
data point
- Name
groupBy- Type
- object
- Description
group by entity
- Default
none- Allowed values
task.tasklisttask.projecttask.companytask.prioritytask.assignee_usertask.assignee_teamtask.assignee_companytask.workflow_stagestask.statustask.start_datetask.due_datetask.created_datetask.completed_date
- Name
pageSize- Type
- integer
- Description
number of items in a page
- Default
50
- Name
page- Type
- integer
- Description
page number
- Default
1
- Name
skipCounts- Type
- boolean
- Description
SkipCounts allows you to skip doing counts on a list API endpoint for performance reasons.
- Name
matchAllProjectTags- Type
- boolean
- Description
match all project tags
- Name
tasklistIds- Type
- array[integer]
- Description
filter by tasklist ids
- Format
- Comma separated values
- Name
taskStatuses- Type
- array[string]
- Description
filter by task statuses
- Format
- Comma separated values
- Allowed values
completedstartedlateupcomingtoday
- Name
projectTagIds- Type
- array[integer]
- Description
filter by project tag ids
- Format
- Comma separated values
- Name
projectStatuses- Type
- array[string]
- Description
filter by project status
- Format
- Comma separated values
- Allowed values
activecurrentlateupcomingcompleteddeleted
- Name
projectOwnerIds- Type
- array[integer]
- Description
filter by project owner ids
- Format
- Comma separated values
- Name
projectIds- Type
- array[integer]
- Description
filter by project ids
- Format
- Comma separated values
- Name
projectHealths- Type
- array[integer]
- Description
filter by project healths
0: not set 1: bad 2: ok 3: good
- Format
- Comma separated values
- Allowed values
0123
- Name
projectCompanyIds- Type
- array[integer]
- Description
filter by company ids
- Format
- Comma separated values
- Name
projectCategoryIds- Type
- array[integer]
- Description
filter by project category ids
- Format
- Comma separated values
- Name
include- Type
- array[string]
- Description
include
- Format
- Comma separated values
- Allowed values
task.tasklisttask.projecttask.companytask.assignee_usertask.assignee_teamtask.assignee_companytask.workflow_stages
- Name
filter- Type
- array[any]
- Description
filter object body
- Format
- Comma separated values
Responses
- Code
- 200
- Type
- object
- Schema
- Description
- 200 OK
DashboardDataResponse contains information for a specific chart.
- Code
- 400
- Type
- object
- Schema
- Description
- 400 Bad Request
ErrorResponse defines how []Error should be marshaled to JSON.
- Code
- 403
- Type
- object
- Schema
- Description
- 403 Forbidden
ErrorResponse defines how []Error should be marshaled to JSON.
- Code
- 500
- Type
- object
- Schema
- Description
- 500 Internal Server Error
ErrorResponse defines how []Error should be marshaled to JSON.
200 OK
DashboardDataResponse
{ "data": [ {} ], "included": { "companies": { "additionalProp": { "accounts": 0, "addressOne": "string", "addressTwo": "string", "budgetDistribution": [ { "color": "string", "companyId": 0, "count": 0, "from": 0, "to": 0 }